<script>
    class ResultsHandler {
        props
        constructor() {
            this.props = {
                movimientos: [],
                timezone: ((new Date()).getTimezoneOffset()) / -60
            }
        }
        parse() {
            return {
                movimientos: () => {
                    const movimientos = this.props.movimientos
                    const data = []
                    movimientos.forEach((movimiento, index) => {
                        this.parse().movimiento({data, movimiento, index})
                    })
                    this.props.parsed = data
                },
                movimiento: ({data, movimiento, index}) => {
                    const fecha = new Date(movimiento.fecha + 'Z' + this.props.timezone)
                    data.push({
                        tipo: 'movimiento',
                        id: movimiento.id,
                        index,
                        cuenta: movimiento.cuenta,
                        fecha,
                        cargo: movimiento.cargo,
                        abono: movimiento.abono,
                        glosa: movimiento.glosa,
                        detalles: movimiento.detalles,
                    })
                }
            }
        }
    }
</script>
